<?php

/**
 * Проверка доступа
 */

# Запрос показа новости
if (!isset($user) || $user['level'] < 14) {
	# Переход на главную
	header('Location: /');
}

# Заголовок модуля
$system['page_title'] = 'Добавление новости';

# Шапка модуля
require_once(HOME .'/incfiles/header.php');

if (isset($_POST['add_news']))
{
    # Логин
    $news_title = txt($_POST['news_title']);

    # Проверка ввода заголовка
    if (empty($news_title)) $err .= 'Не введен заголовок новости<br />';

    # Проверка длины заголовка
    if (!empty($news_title) && (strlen_rus($news_title) < 3 || strlen_rus($news_title) > 256)) $err .= 'Неверная длина заголовка новости. Допустимо от 3 до 256 символов<br />';

    # Текст
    $news_text = txt($_POST['news_text']);

    # Проверка ввода заголовка
    if (empty($news_text)) $err .= 'Не введен текст новости<br />';

    # Проверка длины заголовка
    if (!empty($news_text) && (strlen_rus($news_text) < 3 || strlen_rus($news_text) > 5000)) $err .= 'Неверная длина текста новости. Допустимо от 3 до 5000 символов<br />';

    # Проверка на наличие
    # if (mysql_num_rows(mysql_query("SELECT * FROM `news` WHERE `title` = '". input($news_title) ."' AND `text` = '". input($news_text) ."'")) != 0) $err .= 'Такая новость уже существует<br />';

    if (!isset($err))
    {
        # Запрос
        mysql_query("INSERT INTO `news` SET `user_id` = '$user[id]', `title` = '". input($news_title) ."', `text` = '". input($news_text) ."', `time` = '". time() ."'");

        # Выводим уведомление
        echo '<div class="title">Добавление новости</div>
        <div class="menu">
        Новость успешно добавлена.
        </div>';

        echo '<div class="block">
        &raquo; <a href="/news/admin_news.php">Управление новостями</a><br />
		&raquo; <a href="/news/index.php">К списку новостей</a><br />
        &raquo; <a href="/">На главную</a><br />
        </div>';

        # Ноги модуля
        require_once(HOME .'/incfiles/footer.php');
    }
}

error($err);

echo '<div class="title">Добавление новости</div>
<form method="post" action="/news/admin_add_news.php">
<div class="menu">
Заголовок:<br />
<input type="text" name="news_title" /><br />
Текст новости:<br />
<textarea name="news_text" rows="4" cols="20"></textarea><br />
<input type="submit" name="add_news" value="Добавить" />
</div>
</form>';

echo '<div class="block">
&raquo; <a href="/news/admin_news.php">Управление новостями</a><br />
&raquo; <a href="/news/index.php">К списку новостей</a><br />
&raquo; <a href="/">На главную</a><br />
</div>';

# Ноги модуля
require_once(HOME .'/incfiles/footer.php');

?>
